import { Ref } from 'vue';
import type { InputExpose } from '@/components/hive-input/hive-input.vue';
import type { Options } from '@/common/types/option';
import { Value, CurrentOptionsRef } from '@/common/types/select';
export type ListMethodsConfig = {
    options: Options | undefined;
    modelValue: Value | Value[];
    withUndefined: boolean;
    withNull: boolean;
    nullTitle: string;
    fieldTitle: string;
    fieldValue: string;
    autocomplete?: boolean;
    distinct?: boolean;
    query?: string;
};
export declare const useListMethods: ({ options, modelValue, withUndefined, withNull, nullTitle, fieldTitle, fieldValue, distinct, query, }: ListMethodsConfig) => {
    isExpanded: Ref<boolean>;
    activeValue: Ref<Value>;
    updateActiveValue: (value: Value) => void;
    currentValue: Ref<Value | Value[]>;
    current: CurrentOptionsRef;
    updateCurrentValue: (value: Value | undefined, clearSerachQuery?: boolean) => void;
    searchQuery: Ref<string>;
    searchRef: Ref<InputExpose | null>;
    searchInput: import("vue").ComputedRef<HTMLInputElement | null | undefined>;
    expand: () => void;
    collapse: (clearSerachQuery?: boolean) => void;
    toggle: () => void;
    filteredOptions: Ref<Map<any, any> & Omit<Map<any, any>, keyof Map<any, any>>>;
    currentOptions: Ref<Map<any, any> & Omit<Map<any, any>, keyof Map<any, any>>>;
    setPrevActiveValue: () => void;
    setNextActiveValue: () => void;
    menuRef: Ref<HTMLDivElement | null>;
    setFirstActiveValue: () => void;
    stopWatchSearch: import("vue").WatchStopHandle;
};
